=== debian/changelog ===
lsp-plugins (1.1.22-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.22

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 31 May 2020 13:49:57 -0700

lsp-plugins (1.1.21-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.21

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 16 May 2020 15:18:34 -0700

lsp-plugins (1.1.19-0ubuntu1) groovy; urgency=medium

  * New upstream release 1.1.19

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 18 Apr 2020 15:18:44 -0700

lsp-plugins (1.1.17-0ubuntu1) focal; urgency=medium

  * New upstream release 1.1.17

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sat, 04 Apr 2020 21:14:37 -0700

lsp-plugins (1.1.15-0ubuntu2) focal; urgency=medium

  * Fix patch to keep .desktop files in their own category

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Sun, 29 Mar 2020 08:58:22 -0700

lsp-plugins (1.1.15-0ubuntu1) focal; urgency=medium

  * Translate old changelog to English
  * New upstream release 1.1.15 

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Mon, 23 Mar 2020 16:06:13 -0700

lsp-plugins (1.1.14-0ubuntu1) focal; urgency=medium

  * New upstream version 1.1.14

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Fri, 20 Mar 2020 16:50:43 -0700

lsp-plugins (1.1.4-0librazik2) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
    - construction for the 32-bit also.
  * debian/rules:
    - adding a differentiated treatment if it is a 64 or 32 construction
      Bits.

 -- Olivier Humbert <trebmuh@tuxfamily.org> Thu, 01 Nov 2018 12:24:51

lsp-plugins (1.1.4-0librazik1) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
    - new upstream version.
  * debian/control:
    - construction outbuildings:
      Added "libglu1-mesa-dev" and "libgl1-mesa-dev."
    - description:
      2017 - 2018.
      Added a line meaning that there are other grafts included in the
        This.
  * debian/copyright:
    - Vladimir Sadovnikov: 2016-2017 - 2016-2018.
    - Olivier Humbert: 2016-2017 - 2016-2018.
  * debian/patches/3000-build_fixes.patch:
    - update of the rustine (by hand).
  * debian/patches/series:
    - commenting on the patches:
      3010-traduction_FR_communs.patch
      3011-traduction_FR_comp_delay_mono.patch
      3012-traduction_FR_comp_delay_stereo.patch
      3013-traduction_FR_comp_delay_x2_stereo.patch
      3014-traduction_FR_phase_detector.patch
  * debian/watch:
    - file creation.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 31 Oct 2018 19:18:17 -0100

lsp-plugins (1.0.2-0librazik1) stretch; urgency-medium

  * Reconstruction with pbuilder for LibraZiK2.
  * debian/compat:
    - switching from 9 to 10
  * debian/control:
    - construction dependency:
      Debhelper: switching from (up to 9) to 10.
      Switching from "libjack-dev," to "libjack-jackd2-dev" libjack-dev."
      Added 'libstdc'-6-dev'.
      Added "php7.0-cli."
      Added "libgtk-3-dev."
    - description:
      Documentation link: adaptation for LZK2.
      2016 - 2017.
      Added "Phase Detector."
  * debian/copyright:
    - Olivier Humbert: 2016 - 2016-2017
    - Vladimir Sadovnikov: 2016 - 2016-2017.
  * debian/rules:
    - deleting the useless "--parallel" with debhelper 10.
  * debian/patches/3000-build_fixes.patch:
    - update of the rustine (by hand).
  * debian/patches/301X-traductions_FR:
    - separation of the rustine "for all" into "a rustine by graft".
    - update of translation patches.
    - adding a translation patch for the live detector.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 06 Sep 2017 16:56:55

lsp-plugins (1.0.0-0librazik2) jessie; urgency-medium

  * Reconstruction with pbuilder for LibraZiK.
    - translation of the graphical interface.
  * debian/patches/3001-traduction_FR.patch:
    - creation of rustine (with dquilt).
  * debian/patches/series:
    - file creation (with dquilt).

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 23 Nov 2016 23:48:01

lsp-plugins (1.0.0-0librazik1) jessie; urgency-medium

  * Initial construction with pbuilder for LibraZiK.

-- Olivier Humbert trebmuh@tuxfamily.org Wed, 23 Nov 2016 03:02:47
