=== debian/rules ===
#!/usr/bin/make -f

export PREFIX=/usr

include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_HOST_ARCH),amd64)
	export BUILD_PROFILE=x86_64
endif
ifeq ($(DEB_HOST_ARCH),i386)
	export BUILD_PROFILE=i586
endif
ifeq ($(DEB_HOST_ARCH),arm64)
	export BUILD_PROFILE=aarch64
endif
ifeq ($(DEB_HOST_ARCH),armel)
	export BUILD_PROFILE=armv7a
endif
ifeq ($(DEB_HOST_ARCH),armhf)
	export BUILD_PROFILE=armv7a
endif

%:
	dh $@

override_dh_auto_test:
	# the test suite requires build options incompatible with what we
	# ship in the package, so disable until upstream resolves this

override_dh_install:
	# Documentation contains privacy-invading IFRAMEs in HTML code
	# which generates Lintian warnings. HTML documentation is
	# therefore removed, and documentation is linked at 
	# https://lsp-plug.in/?page=manuals
	rm -r debian/tmp/usr/share/doc/lsp-plugins
	# Standalone Jack Binaries, vst, and lv2 plugins contain a
	# common library required in each of their directories. Since
	# it is a common library, debug symbols were being overwritten.
	# Common library and any future common libraries are now part of
	# the lsp-plugins-common package which is the target of symlinks
	# during install.
	rm debian/tmp/usr/lib/lv2/lsp-plugins.lv2/lsp-plugins-r3d-glx.so
	rm debian/tmp/usr/lib/vst/lsp-plugins-lxvst-1.1.22/lsp-plugins-r3d-glx.so
	dh_install
