## lsp-plugins 1.1.24

=== debian/changelog ===
lsp-plugins (1.1.24-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 24 Jul 2020 11:12:22 -0400

lsp-plugins (1.1.24-1) unstable; urgency=medium

  * New upstream version 1.1.24
  * Update lsp-plugins-vst.links
  * Add lintian overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 20 Jul 2020 19:03:30 +0200

lsp-plugins (1.1.22-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jul 2020 20:36:36 -0400

lsp-plugins (1.1.22-1) unstable; urgency=medium

  * New upstream version 1.1.22
  * Update lsp-plugins-vst.links
  * Update d/copyright year
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 24 Jun 2020 16:22:54 +0200

lsp-plugins (1.1.17-1) unstable; urgency=medium

  * New upstream version 1.1.17
  * Drop patches, applied by upstream
  * Add missing licenses to d/copyright
  * Update lsp-plugins-vst.links
  * Install /etc/xdg/

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 09 Apr 2020 19:03:13 +0200

lsp-plugins (1.1.13-1) unstable; urgency=medium

  [Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.1
  * d/control: Add Vcs-* field

  [ Erich Eickmeyer ]
  * Update control / Maintainer

  [ Dennis Braun ]
  * Initial release for debian (Closes: #931347)
  * d/control:
    + Build any arch
    + Update description
    + Add me as uploader
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright:
    + Update http > https URLS
    + Update copyright year
  * Fix spelling error in src/metadata/limiter.cpp
  * Link lsp-plugins-r3d-glx.so rather then copy it triple
    + Make lsp-plugins-lv2 and lsp-plugins-vst depend on lsp-plugins-jack

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 11 Mar 2020 22:13:24 +0100
