## lsp-plugins 1.1.26

=== debian/changelog ===
lsp-plugins (1.1.26-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Oct 2020 08:10:47 -0700

lsp-plugins (1.1.26-1) unstable; urgency=medium

  * New upstream version 1.1.26
  * Simple test that calls the help for all 118 jack plugins
  * Update lsp-plugins-vst.links

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 18 Sep 2020 13:09:00 +0200

lsp-plugins (1.1.24-2) unstable; urgency=medium

  * Add Breaks and Replaces to lsp-plugins-jack
    + Fixes a bug in ubuntu (LP: #1888684)

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 27 Aug 2020 22:03:11 +0200
