=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: lsp-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dennis Braun <d_braun@kabelmail.de>
-Build-Depends:
- debhelper-compat (= 13),
- ladspa-sdk,
- libexpat1-dev,
- libgl1-mesa-dev,
- libglu1-mesa-dev,
- libjack-jackd2-dev,
- lv2-dev,
- php-cli,
- libcairo2-dev,
- libsndfile1-dev
+Build-Depends: debhelper-compat (= 12),
+               ladspa-sdk,
+               libcairo2-dev,
+               libexpat1-dev,
+               libgl1-mesa-dev,
+               libglu1-mesa-dev,
+               libjack-jackd2-dev,
+               libsndfile1-dev,
+               lv2-dev,
+               php-cli
 Standards-Version: 4.5.0
 Homepage: https://lsp-plug.in/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lsp-plugins
@@ -23,14 +23,12 @@
 Package: lsp-plugins
 Section: metapackages
 Architecture: any
-Depends:
- lsp-plugins-ladspa,
- lsp-plugins-lv2,
- lsp-plugins-vst,
- lsp-plugins-jack,
- ${misc:Depends},
-Suggests:
- dgedit
+Depends: lsp-plugins-jack,
+         lsp-plugins-ladspa,
+         lsp-plugins-lv2,
+         lsp-plugins-vst,
+         ${misc:Depends}
+Suggests: dgedit
 Description: LSP (Linux Studio Plugins) audio-plugins (metapackage)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -56,9 +54,9 @@
 
 Package: lsp-plugins-jack
 Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: lsp-plugins-common
+Replaces: lsp-plugins-common
 Description: LSP (Linux Studio Plugins) audio-plugins (standalone Jack clients)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -84,9 +82,7 @@
 Package: lsp-plugins-ladspa
 Architecture: any
 Provides: ladspa-plugin
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (ladspa plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -112,10 +108,9 @@
 Package: lsp-plugins-lv2
 Architecture: any
 Provides: lv2-plugin
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: lsp-plugins-jack (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (LV2 plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
@@ -140,10 +135,9 @@
 
 Package: lsp-plugins-vst
 Architecture: any
-Depends:
- lsp-plugins-jack (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: lsp-plugins-jack (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: LSP (Linux Studio Plugins) audio-plugins (VST plugins)
  Linux Studio Plugins (LSP) provides a collection of audio effects,
  synthesizers, and a selection of audio tools for music and sound
