=== debian/tests/control ===
Tests: help
Depends: @
