=== debian/changelog ===
lsp-plugins (1.1.28-1) unstable; urgency=medium

  * New upstream version 1.1.28
  * Mark test as superficial
  * Bump S-V to 4.5.1, no changes needed
  * Update lsp-plugins-vst.links
  * Update lintian-overrides
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 23 Dec 2020 20:43:44 +0100
